Subject: FVWM: ChangeDecor doesn't complete without manual intervention

From: Keith Harbaugh <[email-masked]>
Date: Sat, 9 Oct 1999 17:42:28 +0000

The situation described roughly in the Subject line happens in several
situations, most simply in the following situation:

I bring up an FvwmConsole using a menu.
In the console, I type
   ChangeDecor decor-root
where decor-root is a decor that has already been defined
via an AddToDecor command in my .fvwmrc file.
The mouse pointer changes to a large dot,
requesting a window selection for this action,
so I click in that window (no problem there).
But then the expected action, changing the HilightColor,
only happens to a very thin outermost border of the window,
the bulk of the window frame stays in its original color.
However, if I move the mouse pointer into another active window,
then back to the window whose decor had been requested to be changed,
(this is what I meant by "manual intervention")
then the entire window frame switches to the requested color.

What do I have to do programatically to make the ChangeDecor take full effect,
without having to move the mouse around?

I am running Fvwm 2.2.2, compiled on my system, on a Debian 2.1 (slink) system,
running Linux 2.2.12.

Thanks,
Keith
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].